// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
angular.module('starter', ['ionic'])

    .run(function($ionicPlatform, $rootScope, $ionicPopup, $http) {
  $ionicPlatform.ready(function() {
  /*  if(window.cordova && window.cordova.plugins.Keyboard) {
      // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
      // for form inputs)
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);

      // Don't remove this line unless you know what you are doing. It stops the viewport
      // from snapping when text inputs are focused. Ionic handles this internally for
      // a much nicer keyboard experience.
      cordova.plugins.Keyboard.disableScroll(true);
    }*/
    if(window.StatusBar) {
      StatusBar.styleDefault();
    }

    var gotoDomain = function(domain) {
      var domain = domain.toLowerCase().replace( /[^a-z]/, '');

      if (domain == 'dev') {
        var url = 'https://dev.loonwerkplanning.nl/dev';
        var statusUrl = url + '/api/app_dev.php/status';
      } else {
        var url = 'https://'+domain+'.loonwerkplanning.nl';
        var statusUrl = url + '/api/status';
      }

      var status = $http.get(statusUrl)
          .success(function(data) {
            if (data.application == 'loonwerkplanning') {
              window.localStorage.setItem('domain', domain);
                window.location.href = url + '/mobile';
            }
          })
          .error(function(data) {
            showError();
          });
    }

    var showError = function() {
      var alertPopup = $ionicPopup.alert({
        title: 'Error',
        template: 'Domein niet gevonden, of geen internet beschikbaar.'
      });
      alertPopup.then(function(res) {
        window.localStorage.clear();
        showPopup();
      });
    }

    var showPopup = function() {
      var myPopup = $ionicPopup.show({
        template: '<input type="text" id="domain" value="'+$scope.domain+'">',
        title: 'Voer het domein in:',
        subTitle: 'De naam heeft u van uw werkgever ontvangen',
        scope: $scope,
        buttons: [
          {
            text: '<b>Verder</b>',
            type: 'button-positive',
            onTap: function(e) {
              var domain = document.getElementById('domain').value;
              if (!domain) {
                //don't allow the user to close unless he enters wifi password
                e.preventDefault();
              } else {
                return domain;
              }
            }
          }
        ]
      });

      myPopup.then(function(res) {
        gotoDomain(res);
      });
    }

    $scope = $rootScope;
    var domain = window.localStorage.getItem('domain');
    if (domain && domain != 'null') {
      //gotoDomain(window.localStorage.getItem('domain'))
      $scope.domain = domain;
    } else {
      //showPopup();
      $scope.domain = '';
    }
    showPopup();

    
  });
})
